package com.ghy.order.service;

import com.ghy.order.domain.OrderTemplate;

import java.util.List;
import java.util.Set;

public interface OrderTemplateService {

    int insert(OrderTemplate orderTemplate);

    int update(OrderTemplate orderTemplate);

    int delete(Long id);

    int batchDelete(Set<Long> ids);

    OrderTemplate selectById(Long id);

    List<OrderTemplate> select(OrderTemplate orderTemplate);

    List<OrderTemplate> selectByUserId(Long userId);
}
